Update schedule report
curl --request PUT \
--url https://api.ecomailhub.younegotiate.com/schedule-reports/{scheduleExport} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_type": "consumer_profiles",
"frequency": "monthly",
"emails": "reports@example.com"
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/schedule-reports/{scheduleExport}"
payload = {
"report_type": "consumer_profiles",
"frequency": "monthly",
"emails": "reports@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_type: 'consumer_profiles',
frequency: 'monthly',
emails: 'reports@example.com'
})
};
fetch('https://api.ecomailhub.younegotiate.com/schedule-reports/{scheduleExport}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Schedule report updated.",
"data": {
"id": 42,
"report_type": {
"value": "consumer_profiles",
"label": "Consumer Profiles",
"requires_date_range": true
},
"frequency": {
"value": "monthly",
"label": "Monthly"
},
"emails": [
"reports@example.com"
],
"pause": false,
"last_sent_at": null,
"created_at": "2026-07-05T12:00:00.000000Z",
"updated_at": "2026-07-05T12:05:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Update schedule report
Update an EcoMail Hub scheduled report owned by the authenticated user.
PUT
/
schedule-reports
/
{scheduleExport}
Update schedule report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Scheduled report ID.
Body
application/json
Available options:
creditor_profiles, notice_responses, consumer_profiles Available options:
daily, weekly, monthly Comma-separated recipient emails. The API trims, lowercases, de-duplicates, validates, and limits the list to five recipients.
Example:
"reports@example.com,admin@example.com"
Last modified on July 19, 2026
Was this page helpful?
⌘I

